> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audit Events



## OpenAPI

````yaml /openapi/openapi.yaml get /v1/audit-events
openapi: 3.1.0
info:
  title: OneInbox API
  version: 1.0.0
servers:
  - url: https://api-tokyo.oneinbox.ai
    description: Production (Tokyo ap-northeast-1)
security: []
tags:
  - name: health
  - name: integrations
  - name: llm-models
  - name: tools
  - name: knowledge-bases
  - name: voices
  - name: webhooks
  - name: agents
  - name: phone-numbers
  - name: calls
  - name: workspace
  - name: usage
  - name: audit-events
paths:
  /v1/audit-events:
    get:
      tags:
        - audit-events
      summary: List Audit Events
      operationId: list_audit_events_v1_audit_events_get
      parameters:
        - name: action
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by action enum value
            title: Action
          description: Filter by action enum value
        - name: resource_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Resource Type
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedCursorResponse_AuditEventResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    PaginatedCursorResponse_AuditEventResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AuditEventResponse'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        has_more:
          type: boolean
          title: Has More
        limit:
          type: integer
          title: Limit
      type: object
      required:
        - items
        - next_cursor
        - has_more
        - limit
      title: PaginatedCursorResponse[AuditEventResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuditEventResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        api_key_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Api Key Id
        action:
          type: string
          title: Action
        resource_type:
          type: string
          title: Resource Type
        resource_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Resource Id
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
        payload_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Payload Hash
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - org_id
        - user_id
        - api_key_id
        - action
        - resource_type
        - resource_id
        - request_id
        - ip
        - user_agent
        - payload_hash
        - created_at
      title: AuditEventResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: http
      description: >-
        Your **API key** sent as a Bearer credential — `Authorization: Bearer
        <api_key>`, where `<api_key>` starts with `oi_sk_` (create one via `POST
        /v1/api-keys`). Although the field is labelled 'token', paste your API
        key here. A dashboard JWT is also accepted on this header for the same
        endpoints.
      scheme: bearer

````